<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
AbstractTreeFactory
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.adj.incore.tree.AbstractTreeFactory class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractTreeFactory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractTreeFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/DefaultTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractTreeFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.adj.incore.tree</FONT>
<BR>
Class AbstractTreeFactory&lt;T&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.adj.incore.tree.AbstractTreeFactory&lt;T&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">TreeFactory</A>&lt;T&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/DefaultTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">DefaultTreeFactory</A>, <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">JobScheduleMultiThreadTreeFactory</A>, <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/PoolTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">PoolTreeFactory</A>, <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateJobScheduleTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">RankUpdateJobScheduleTreeFactory</A>, <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">RankUpdateTreeFactory</A>, <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/SemIncMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">SemIncMultiThreadTreeFactory</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.42"><B>AbstractTreeFactory&lt;T&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">TreeFactory</A>&lt;T&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#efmModel">efmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#AbstractTreeFactory(ch.javasoft.metabolic.efm.model.EfmModel)">AbstractTreeFactory</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A>&nbsp;efmModel)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createInterNode</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                               int[]&nbsp;selectiveBits,
                               int&nbsp;prevSelBitIndex,
                               int&nbsp;iStart,
                               int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#createLeaf(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createLeaf</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                     int[]&nbsp;selectiveBits,
                     int&nbsp;prevSelBitIndex,
                     int&nbsp;iStart,
                     int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#createNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createNode</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                     int[]&nbsp;selectiveBits,
                     int&nbsp;prevSelBitIndex,
                     int&nbsp;iStart,
                     int&nbsp;iEnd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.adj.incore.tree.TreeFactory"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.metabolic.efm.adj.incore.tree.<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">TreeFactory</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html#createTraverser()">createTraverser</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="efmModel"><!-- --></A><H3>
efmModel</H3>
<PRE>
protected final <A HREF="../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A> <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.44"><B>efmModel</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractTreeFactory(ch.javasoft.metabolic.efm.model.EfmModel)"><!-- --></A><H3>
AbstractTreeFactory</H3>
<PRE>
public <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.46"><B>AbstractTreeFactory</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A>&nbsp;efmModel)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createInterNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)"><!-- --></A><H3>
createInterNode</H3>
<PRE>
protected <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt; <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.50"><B>createInterNode</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                                  int[]&nbsp;selectiveBits,
                                  int&nbsp;prevSelBitIndex,
                                  int&nbsp;iStart,
                                  int&nbsp;iEnd)
                           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createLeaf(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)"><!-- --></A><H3>
createLeaf</H3>
<PRE>
protected <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt; <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.54"><B>createLeaf</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                             int[]&nbsp;selectiveBits,
                             int&nbsp;prevSelBitIndex,
                             int&nbsp;iStart,
                             int&nbsp;iEnd)
                      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)"><!-- --></A><H3>
createNode</H3>
<PRE>
public <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt; <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html#line.65"><B>createNode</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;cols,
                          int[]&nbsp;selectiveBits,
                          int&nbsp;prevSelBitIndex,
                          int&nbsp;iStart,
                          int&nbsp;iEnd)
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html#createNode(ch.javasoft.metabolic.efm.memory.SortableMemory, int[], int, int, int)">createNode</A></CODE> in interface <CODE><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/TreeFactory.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">TreeFactory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" title="type parameter in AbstractTreeFactory">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractTreeFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/AbstractRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/DefaultTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/AbstractTreeFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractTreeFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
